clc;
%clear all;
%close all;
format long;

% parametry svetla
lambda = 1.55e-6;               % 1550nm
%v_svetla = 299792458;           % m/s
v_svetla_konst=271234521;
v_svetla=rand(1,pocet_sekci)*28557937+v_svetla_konst;

f_svetla = v_svetla/lambda;     % frekvence svetla
w_svetla = 2*pi*f_svetla;       % uhlova rychlost frekvence svetla

% vzorkovaci frekvence
Fs = 40*f_svetla; % 20krat max frekvence


n=[0:1:delka_vstupu-1];
t=[];
for m=1:pocet_sekci
t(:,m) =1/Fs(:,m)*n;

end


ver_=[];
hor_=[];


for m=1:pocet_sekci

ver_(:,m) = 0.5*sin(w_svetla(:,m)*t(:,m)+faz(:,m));
hor_(:,m) = 0.5*cos(w_svetla(:,m)*t(:,m)+faz(:,m));

end
ver=[];
hor=[];
for k=1:pocet_sekci
    ver=cat(1,ver,ver_(:,k));
    hor=cat(1,hor,hor_(:,k));
end

if(ideal==0)
rot = rand(1,pocet_sekci).*(360);
pol=[];
for m=1:pocet_sekci
% vertikalni

if(fast==1)

graf=plot3(((m-1)*delka_vstupu+1):1:(m*delka_vstupu), zeros(1,delka_vstupu), ver(((m-1)*delka_vstupu+1):(m*delka_vstupu)),'b:'); zlabel('vertikalni');
rotate(graf,[1 0 0],rot(m:m));hold on;
end
%
% horizontalni
if(slow==1)

graf1=plot3(((m-1)*delka_vstupu+1):1:(m*delka_vstupu), hor(((m-1)*delka_vstupu+1):(m*delka_vstupu)), zeros(1,delka_vstupu),'r:'); ylabel('horizontalni');hold on;
rotate(graf1,[1 0 0],rot(m:m));
end
% soucet
if(addr==1)

pom_pol = ver(((m-1)*delka_vstupu+1):(m*delka_vstupu)) + hor(((m-1)*delka_vstupu+1):(m*delka_vstupu))*i;
pol=cat(1,pol,pom_pol(:));

% polarizace


graf2=plot3(((m-1)*delka_vstupu+1):1:(m*delka_vstupu),real(pol(((m-1)*delka_vstupu+1):(m*delka_vstupu))),imag(pol(((m-1)*delka_vstupu+1):(m*delka_vstupu))),'g');hold on;
rotate(graf2,[1 0 0],rot(m:m));
end
end

else
 
% vertikalni
if(fast==1)
rot1=plot3(1:1:delka_vstupu*pocet_sekci, zeros(1,delka_vstupu*pocet_sekci), ver(1:delka_vstupu*pocet_sekci),':'); zlabel('vertikalni'); hold on;
end
% horizontalni
if(slow==1)
rot2=plot3(1:1:delka_vstupu*pocet_sekci, hor(1:delka_vstupu*pocet_sekci), zeros(1,delka_vstupu*pocet_sekci),'r:'); ylabel('horizontalni');hold on;
end

if(addr==1)
% soucet
pol = ver(1:delka_vstupu*pocet_sekci) + hor(1:delka_vstupu*pocet_sekci)*i;

% polarizace

rot3=plot3(1:1:delka_vstupu*pocet_sekci,real(pol(1:delka_vstupu*pocet_sekci)),imag(pol(1:delka_vstupu*pocet_sekci)),barva);hold on;
end
end
